#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "NcPrintErr.h"

#define ERROR_BUF 1024
char g_error[ERROR_BUF] = {0};

bool PrintErr(const char * fmt, ...)
{
    va_list vaArgP;
    va_start(vaArgP, fmt);
    vsnprintf( g_error, ERROR_BUF, fmt, vaArgP );
    va_end(vaArgP);
    return false;
}

char * PrintErrNo(int en)
{
	char * p = malloc(ERROR_BUF);
	snprintf(p, ERROR_BUF, "%d (%s)", en, strerror(en));
	return p;
}
