
# Add inputs and outputs from these tool invocations to the build variables 

CPP_SRCS += \
../src/ConfigEssentials.cpp \
../src/Configuration.cpp \
../src/CtsTask.cpp \
../src/CtsTaskGpio.cpp \
../src/CtsTaskIoctl.cpp \
../src/Gpio.cpp \
../src/NeoCortecGateway.cpp \
../src/RecvEssentials.cpp \
../src/RecvTask.cpp \
../src/SendEssentials.cpp \
../src/SendTask.cpp

OBJS += \
./src/ConfigEssentials.o \
./src/Configuration.o \
./src/CtsTask.o \
./src/CtsTaskGpio.o \
./src/CtsTaskIoctl.o \
./src/Gpio.o \
./src/NeoCortecGateway.o \
./src/RecvEssentials.o \
./src/RecvTask.o \
./src/SendEssentials.o \
./src/SendTask.o

CPP_DEPS += \
./src/ConfigEssentials.d \
./src/Configuration.d \
./src/CtsTask.d \
./src/CtsTaskGpio.d \
./src/CtsTaskIoctl.d \
./src/Gpio.d \
./src/NeoCortecGateway.d \
./src/RecvEssentials.d \
./src/RecvTask.d \
./src/SendEssentials.d \
./src/SendTask.d


# Each subdirectory must supply rules for building sources it contributes
src/%.o: ../src/%.cpp
	@echo 'Building file: $<'
	@echo 'Invoking: GCC C++ Compiler'
	g++ -D__USE_GNU -I../../NcCommonApi -I../../NcCommonPosix -O3 -Wall -c -fmessage-length=0 -MMD -MP -MF"$(@:%.o=%.d)" -MT"$(@:%.o=%.d)" -o "$@" "$<"
	@echo 'Finished building: $<'
	@echo ' '


