#ifndef RECVTASK_H_
#define RECVTASK_H_

#include "NcApi.h"
#include "RecvEssentials.h"

#ifdef __cplusplus
extern "C"
{
#endif

// Task specific methods
bool RecvTaskInit(void * p);
void* RecvTaskRun(void * p);
bool RecvTaskShutdown();

// NcApi specific methods
void UartReadCallbackSpecialized(uint8_t n, uint8_t * msg, uint8_t msgLength);

#ifdef __cplusplus
}
#endif

#endif /* RECVTASK_H_ */
